import formats from '$lib/common/supportedFormats.json';
import winston from 'winston';

export const logger = winston.createLogger({
    level: 'debug',
    format: winston.format.json(),
    transports: [new winston.transports.Console()],  
});
const formatMime = new Map(Object.entries(formats))
export const isURLValid = (url: string) => {
    try {
        new URL(url)
    } catch {
        return false
    }

    return true;
}
export const mimeTypeMap = formatMime;
export const sseBufferMap = new Map()
export const sseHelper = (key: string, log: string) => {
    if (!sseBufferMap.has(key)) {
        sseBufferMap.set(key, [])
    }
    const buffer = sseBufferMap.get(key)
    buffer.push(log)
    sseBufferMap.set(key, buffer)
}